Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jasig.portal.layout.alm.channels
Class FragmentManager

    java.lang.Object
      org.jasig.portal.channels.BaseChannel
          org.jasig.portal.layout.alm.channels.FragmentManager

All Implemented Interfaces:
  IChannel, IPrivileged

Direct Known Subclasses:
  CContentSubscriber, CFragmentManager

    public abstract class FragmentManager

extends BaseChannel
implements IPrivileged

An abstract class containing the basic business-logic and components for CFragmentManager and CContentSubscriber. Prior to uPortal 2.5, this channel existed in the org.jasig.portal.layout.channels package. It was moved to its present package to reflect that it is a part of Aggregated Layouts.

Since:
  uPortal 2.5
Version:
  $Revision: 1.1 $
Author:
  Michael Ivanov, mvi@immagic.com

Field Summary
`protected IAggregatedUserLayoutManager` | `alm`
`protected java.util.Map` | `fragments`
`protected ThemeStylesheetUserPreferences` | `themePrefs`

Fields inherited from class org.jasig.portal.channels.BaseChannel
`log, runtimeData, staticData`

Constructor Summary
`FragmentManager()`

Method Summary
`protected abstract void` | `analyzeParameters(XSLT xslt)`
`protected void` | `getFragmentList(org.w3c.dom.Document document)`
`protected void` | `getFragmentList(org.w3c.dom.Document document, org.w3c.dom.Node node)`
`protected java.lang.String` | `getFragmentRootId(java.lang.String fragmentId)`
`protected abstract java.util.Collection` | `getFragments()`
`protected void` | `refreshFragmentMap()`
`void` | `setPortalControlStructures(PortalControlStructures pcs)` Passes portal control structure to the channel.

Methods inherited from class org.jasig.portal.channels.BaseChannel
`getRuntimeProperties, receiveEvent, renderXML, setRuntimeData, setStaticData, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### alm

    protected IAggregatedUserLayoutManager alm

### themePrefs

    protected ThemeStylesheetUserPreferences themePrefs

### fragments

    protected java.util.Map fragments

Constructor Detail

### FragmentManager

    public FragmentManager()

Method Detail

### getFragmentRootId

    protected java.lang.String getFragmentRootId(java.lang.String fragmentId)
                                          throws PortalException

  Throws:
    `PortalException`

### setPortalControlStructures

    public void setPortalControlStructures(PortalControlStructures pcs)
                                    throws PortalException

  Passes portal control structure to the channel.

  Specified by:
    `setPortalControlStructures` in interface `IPrivileged`
  Throws:
    `PortalException`
  See Also:
    `PortalControlStructures`

### getFragmentList

    protected void getFragmentList(org.w3c.dom.Document document)
                            throws PortalException

  Throws:
    `PortalException`

### getFragmentList

    protected void getFragmentList(org.w3c.dom.Document document,
                                   org.w3c.dom.Node node)
                            throws PortalException

  Throws:
    `PortalException`

### refreshFragmentMap

    protected void refreshFragmentMap()
                               throws PortalException

  Throws:
    `PortalException`

### getFragments

    protected abstract java.util.Collection getFragments()
                                                  throws PortalException

  Throws:
    `PortalException`

### analyzeParameters

    protected abstract void analyzeParameters(XSLT xslt)
                                       throws PortalException

  Throws:
    `PortalException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD